View Issue Details

IDProjectCategoryView StatusLast Update
0001047Dracca[All Projects] Generalpublic2017-04-25 17:16
ReporterXenosAssigned ToXenostom 
PrioritynoneSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.1 
Summary0001047: L'attribut @prefetch sur les ancres du gamebook
DescriptionApparemment, l'attribut @prefetch sur les ancres html (a) permet de précharger le document ciblé par le lien. Cela pourrait donc être intéressant de l'intégrer à Dracca, pour que la page ciblée soit préchargée. Ainsi, l'utilisateur n'aurait plus à attendre que le paragraphe suivant charge lorsqu'il fait un choix.

En pratique:
• L'utilisateur arrive sur le 1er paragraphe (là, il y a un temps de chargement, c'est un peu obligé)
• Le navigateur précharge les liens des paragraphes suivants (tous)
• Pendant ce préchargement, le lecteur lit le paragraphe courant
• Il fait son choix à la fin du paragraphe, et va sur le paragraphe suivant
• Il n'attend pas car le paragraphe suivant était préchargé
• Il lit le paragraphe suivant pendant que les prochains pré-chargent

etc.

Couplé avec un cache d'une heure (environ), cela permettrait de naviguer rapidement dans le gamebook, de revenir en arrière si besoin (sans temps de chargement) et d'aller en avant sans temps de chargement non plus.
TagsNo tags attached.
Attach Tags

Activities

Alu

Alu

2016-03-06 17:08

developer   ~0001569

Last edited: 2016-03-06 17:09

View 2 revisions

C'est ce système là ?
<a rel="prefetch" href="...">...< /a>
Sur mobile ça marche mais il y a quand même un léger temps d'attente (pour l'affichage) à voir si c'est à cause de la ram.

Xenos

Xenos

2016-03-06 21:56

administrator   ~0001570

Last edited: 2016-04-01 17:07

Oui, le léger temps d'attente (je n'ai pas encore pu tester) doit venir du parsing de la page par le navigateur (le temps de récupérer la page du cache et de l'afficher). Dans tous les cas, il sera moindre que s'il faut charger la page par le réseau :)

Tu as un site d'exemple de prefetch?
Alu

Alu

2016-03-06 23:17

developer   ~0001571

Last edited: 2016-04-01 17:07

Non j'ai fait le test sur w3school et leur éditeur instantané.

http://www.w3schools.com/tags/tryit.asp?filename=tryhtml_a_rel

En changeant le "nofollow" par "prefetch".
Xenostom

Xenostom

2016-03-08 13:28

developer   ~0001574

Last edited: 2016-04-01 17:07

Pour la spec: https://html.spec.whatwg.org/multipage/semantics.html#linkTypes

Logiquement, les liens d'un paragraphe à l'autre sont donc des "next prefetch".
Xenostom

Xenostom

2016-03-08 14:20

developer   ~0001575

Last edited: 2016-04-01 17:07

Un cache d'une heure pour éviter de re-télécharger les paragraphes (il y a peu de chances qu'ils soient changer dans la même heure!) + un prefetch des liens suivants du paragraphes (aka, prefetch des liens vers lesquels le paragraphe courant pointe) + prefetch des tables et de la feuille d'aventure = navigation fluide (j'espère).

En tous cas, c'est prêt. Un petit article pour détailler le système.
Xenos

Xenos

2016-03-08 20:47

administrator   ~0001576

Last edited: 2016-04-01 17:07

View 2 revisions

C'est en ligne. Le site semble effectivement réagir un peu plus promptement, mais c'est pas non plus phénoménale (de base, c'était déjà assez véloce). En revanche, cela peut ouvrir les portes à une vraie version hors-ligne. Et cela permet éventuellement de couper son wifi (mais on ne pourra aller qu'au paragraphe suivant, pas à celui d'encore après)

C'était surtout pour s'exercer un peu avec les caches

Issue History

Date Modified Username Field Change
2016-03-06 14:16 Xenos New Issue
2016-03-06 14:16 Xenos Status New => Understood
2016-03-06 17:08 Alu Note Added: 0001569
2016-03-06 17:09 Alu Note Edited: 0001569 View Revisions
2016-03-06 21:56 Xenos Note Added: 0001570
2016-03-06 21:56 Xenos Priority normal => none
2016-03-06 23:17 Alu Note Added: 0001571
2016-03-08 13:28 Xenostom Note Added: 0001574
2016-03-08 13:28 Xenostom Assigned To => Xenostom
2016-03-08 13:28 Xenostom Status Understood => In progress
2016-03-08 14:20 Xenostom Note Added: 0001575
2016-03-08 14:20 Xenostom Status In progress => Ready
2016-03-08 14:20 Xenostom Resolution open => fixed
2016-03-08 20:47 Xenos Note Added: 0001576
2016-03-08 20:47 Xenos Status Ready => Close
2016-03-08 20:47 Xenos Note Edited: 0001576 View Revisions
2016-04-01 17:07 AutoUpdater Fixed in Version => 1.0.1
2017-04-25 17:16 Xenos Project @15@ => Dracca